Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
BuildRequires: /usr/bin/nosetests-2.7 python-devel python-module-setuptools python2.7(builtins) python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-stomper
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{?python_enable_dependency_generator}
%if 0%{?fedora}
%global with_python3 1
%endif

%global commit 9b9fddf596a77e6b7e0407f0e45d02ca3a5ba5e1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-module-stomper
Version:        0.4.1
Release:        alt1_10
Summary:        A python client implementation of the STOMP protocol
License:        ASL 2.0
URL:            https://pypi.io/project/stomper

Source0:        https://pypi.io/packages/source/s/stomper/stomper-%{version}.tar.gz

BuildArch:      noarch
Source44: import.info

%description
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.

%if 0%{?with_python3}
%package -n python3-module-stomper
Group: Development/Python
Summary:        A python client implementation of the STOMP protocol
%{?python_provide:%python_provide python3-stomper}

BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires:  python3-module-nose

%description -n python3-module-stomper
This is a python client implementation of the STOMP protocol. The client is
attempting to be transport layer neutral. This module provides functions to
create and parse STOMP messages in a programatic fashion.
%endif

%prep
%setup -q -n stomper-%{version}

%build
%python_build
%if 0%{?with_python3}
%python3_build
%endif

%install
%python_install
%if 0%{?with_python3}
%python3_install
%endif

%check
PYTHONPATH=. nosetests-%{__python_version} -q
%if 0%{?with_python3}
PYTHONPATH=. nosetests-%{__python3_version} -q
%endif

%files -n python-module-stomper
%doc README.rst
%{python_sitelibdir_noarch}/stomper*

%if 0%{?with_python3}
%files -n python3-module-stomper
%doc README.rst
%{python3_sitelibdir_noarch}/stomper*
%endif

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_10
- update to new release by fcimport

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_9
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_3
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.8-alt1_2
- update to new release by fcimport

* Tue Mar 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.8-alt1_1
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_5
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_4
- initial fc import

